<?php

header("Content-type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename=Reporte Venta de inventario.xls");

 include ("../conexion.php");	

       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $NombreComercial =  $row_para["NOMCOM"];
	   $Razon           =  $row_para["RAZSOC"];
	   $Direccion       =  $row_para["DIREMP"];
	   $Cedula          =  $row_para["CEDJUR"];
	   $Telefono        =  $row_para["NUMTEL"];
	   

	$subtot    = 0 ;	
    $descuento = 0 ;	
	$impven    = 0 ;	
	$total     = 0 ;	

$cdgcli=$_GET["cdgcli"];

$contador =  0;

$fecini = $_GET["fechainicio"];
$fecfin     = $_GET["fechafin"];

$horaini = $_GET["horaini"];
$horafin     = $_GET["horafin"];

 $fechainicio = implode("-", array_reverse(explode("-", $fecini))); 
 $fechafin    = implode("-", array_reverse(explode("-", $fecfin))); 

/****************************************************/

 $fecinicioHORA = $fechainicio."T00:00:00-06:00";
 $fecfinHORA = $fechafin."T23:00:00-06:00";
 

/**********************HORA DE INICIO******************************/
if  ( $horaini<> "" ){

			$hora_ini = substr($horaini, 0, -5);// se le quitan los ultimos 5 caracteres (04:45AM)
			$minutos_ini = substr($horaini, 2, -2);// 
			$minutos_ini = str_replace ( ":", '', $minutos_ini); // le quito los dos puntos a los minutos y los agrego al final
			$tarde_ini  = substr($horaini,-2);//  devuelve am o pm

		if ($tarde_ini=="pm"){
		
				if  ($hora_ini=='1'){$hora_ini=13;}
			else if ($hora_ini=='2'){ $hora_ini=14;}
			else if ($hora_ini=='3'){$hora_ini=15;}
			else if ($hora_ini=='4'){$hora_ini=16;}
			else if ($hora_ini=='5'){$hora_ini=17;}
			else if ($hora_ini=='6'){$hora_ini=18;}
			else if ($hora_ini=='7'){$hora_ini=19;}
			else if ($hora_ini=='8'){$hora_ini=20;}
			else if ($hora_ini=='9'){$hora_ini=21;}
			else if ($hora_ini=='10'){$hora_ini=22;}
			else if ($hora_ini=='11'){$hora_ini=23;}
			else if ($hora_ini=='12'){$hora_ini=12;}

	}else if ($tarde_ini=="am"){
		
				if  ($hora_ini=='1'){$hora_ini="01";}
			else if ($hora_ini=='2'){ $hora_ini="02";}
			else if ($hora_ini=='3'){$hora_ini="03";}
			else if ($hora_ini=='4'){$hora_ini="04";}
			else if ($hora_ini=='5'){$hora_ini="05";}
			else if ($hora_ini=='6'){$hora_ini="06";}
			else if ($hora_ini=='7'){$hora_ini="07";}
			else if ($hora_ini=='8'){$hora_ini="08";}
			else if ($hora_ini=='9'){$hora_ini="09";}
			else if ($hora_ini=='10'){$hora_ini="10";}
			else if ($hora_ini=='11'){$hora_ini="11";}
			else if ($hora_ini=='12'){$hora_ini="12";}

	}
	
//$horaini= $hora_ini.':'.$minutos_ini;
$horaini= 'T'.$hora_ini.':'.$minutos_ini.':00-06:00';
$fecinicioHORA = $fechainicio.$horaini;

}
/**********************HORA DE FIN******************************/
if  ( $horafin<> "" ){

			$hora_fin = substr($horafin, 0, -5);// se le quitan los ultimos 5 caracteres (04:45AM)
			$minutos_fin = substr($horafin, 2, -2);// 
			$minutos_fin = str_replace ( ":", '', $minutos_fin); // le quito los dos puntos a los minutos y los agrego al final
			$tarde_fin  = substr($horafin,-2);//  devuelve am o pm

		if ($tarde_fin=="pm"){
		
				if  ($hora_fin =='1'){$hora_fin =13;}
			else if ($hora_fin =='2'){ $hora_fin =14;}
			else if ($hora_fin =='3'){$hora_fin =15;}
			else if ($hora_fin =='4'){$hora_fin =16;}
			else if ($hora_fin =='5'){$hora_fin =17;}
			else if ($hora_fin =='6'){$hora_fin =18;}
			else if ($hora_fin =='7'){$hora_fin =19;}
			else if ($hora_fin =='8'){$hora_fin =20;}
			else if ($hora_fin =='9'){$hora_fin =21;}
			else if ($hora_fin =='10'){$hora_fin =22;}
			else if ($hora_fin =='11'){$hora_fin =23;}
			else if ($hora_fin =='12'){$hora_fin =24;}

	}

		if ($tarde_fin=="am"){
		
				if  ($hora_fin =='1'){$hora_fin ="01";}
			else if ($hora_fin =='2'){ $hora_fin ="02";}
			else if ($hora_fin =='3'){$hora_fin ="03";}
			else if ($hora_fin =='4'){$hora_fin ="04";}
			else if ($hora_fin =='5'){$hora_fin ="05";}
			else if ($hora_fin =='6'){$hora_fin ="06";}
			else if ($hora_fin =='7'){$hora_fin ="07";}
			else if ($hora_fin =='8'){$hora_fin ="08";}
			else if ($hora_fin =='9'){$hora_fin ="09";}
			else if ($hora_fin =='10'){$hora_fin ="10";}
			else if ($hora_fin =='11'){$hora_fin ="11";}
			else if ($hora_fin =='12'){$hora_fin ="12";}

	}
	
//$horafin= $hora_fin .':'.$minutos_fin;
$horafin= 'T'.$hora_fin .':'.$minutos_fin.':00-06:00';
$fecfinHORA = $fechafin.$horafin;
}
/****************************************************/


if ($cdgcli=="") {
	 
	 $cliente="TODOS LOS CLIENTES";
	 
	     } else {


	   $query_codcaj="SELECT * FROM web_0301  WHERE cdgcli=$cdgcli ";
       $resultado = $mysqli->query( $query_codcaj);
       $row = $resultado->fetch_array();
        
		$cliente    = $row["DSCCLI"];
     }


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de Ventas por Proveedor</title>
</head>
<body>
<table width="50%" border="0" cellspacing="0" cellpadding="0">
    <tr>   </tr>
  <tr>
     <td></td>
 <td colspan="7"  bgcolor="skyblue"><div align="center"><strong>REPORTE VENTAS POR CLIENTE</strong></div></td>
  </tr>
   
  <tr>
  
       <tr>
       <td></td>
       <td colspan="7"   border="1"><div align="center"><font size="3" >CLIENTES <?php echo $cdgcli; ?> -  <?php echo $cliente; ?></font></div></td>
     </tr>
	 
       <tr>
       <td></td>
       <td colspan="7"   border="1"><div align="center"><font size="3" >Fecha del <?php echo $fecini; ?> Al <?php echo $fecfin; ?> -  <?php echo $horaini; ?> <?php echo $horafin; ?>  </font></div></td>
     </tr>
	 
	  <tr>   </tr>
	   
      <td width="10%"></td>
    <td  border="1" width="10%"><div align="center"><strong>CODIGO</strong></div></td>
    <td width="37%"><div align="center"><strong>DESCRIPCION</strong></div></td>
    <td width="16%"><div align="center"><strong>CANTIDAD</strong></div></td>
	<td width="25%"><div align="center"><strong>SUBTOTAL</strong></div></td>
	<td width="25%"><div align="center"><strong>DESCUENTO</strong></div></td>
	<td width="25%"><div align="center"><strong>IMPUESTO</strong></div></td>
	<td width="25%"><div align="center"><strong>TOTAL VENTA</strong></div></td>
  </tr>
  
<?php


$fechafin=trim($fechafin);
$fechainicio=trim($fechainicio);
$where="1=1";

$where2="1=1";

if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }

/*
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND factulinea.fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND factulinea.fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND factulinea.fecfac <='".$fechafin."'";
		}
	}
}
*/
 if (($fechainicio<>"") and ($fechafin<>"")) {

	 $where.=" AND factulinea.fecemiexo between '".$fecinicioHORA."' AND '".$fecfinHORA."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND factulinea.fecemiexo >='".$fecinicioHORA."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND factulinea.fecemiexo <='".$fecinicioHORA."'";
		}
	}
}




 if ($result = $mysqli->query("SELECT * FROM factulinea WHERE    ".$where)) {
   $filas = $result->num_rows;
   $result->close();
   
	}


	if ($filas > 0) {
					
								   					
				
								   					
				$consulta = "SELECT SUM(cantidad) as cantidad, SUM(montotlin) as montotlin  , SUM(importe) as subtotal, SUM(mondes) as mondes , SUM(impuesto) as impuesto , codigo, dscart  FROM  factulinea WHERE  ".$where. "  GROUP BY codigo  ORDER BY cantidad DESC " ;
				if ($resultado = $mysqli->query($consulta)) 

  			    while ($row = $resultado->fetch_assoc()) {		

					$cantidad=$row["cantidad"];	
					$montotlin=$row["montotlin"];	
					$subtotal=$row["subtotal"];	
					$impuesto=$row["impuesto"];				
					$mondes=$row["mondes"];	
					$cdgbar=$row["codigo"];	
					$dscart=$row["dscart"];	
			 
	
?>  

 <tr>
   <td></td>
   <td><div align="left"><?php echo $cdgbar; ?></div></td>
	<td><?php echo $dscart; ?></td>


	
								<td width="4%"><div align="right"><?php echo number_format($cantidad,2)  ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($subtotal,2)  ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($mondes,2)  ?></div></td>	
								<td width="11%"><div align="right"><?php echo number_format($impuesto,2)  ?></div></td>	
								<td width="12%"><div align="right"><?php echo number_format($montotlin,2)  ?></div></td>	

                 
 </tr> 
  <?php
  
    $subtot    = $subtotal + $subtot ;
    $descuento = $mondes + $descuento ;
	$impven    = $impuesto + $impven ;
	$total     = $montotlin + $total ;
  
}}


  ?>
</table>

<table>

 <tr>
   <td></td>
   <td></td>
   <td></td>
   <td></td>
   <td>&nbsp;</td>
   <td>&nbsp;</td>
 </tr>
 <tr>
   <td width="6"></td>
   <td width="6"></td>

	<td width="365"></td>
	<td width="116">TOTAL</td>  
	<td width="124"><div align="right"><?php echo number_format($subtot,2); ?></div></td> 
	<td width="124"><div align="right"><?php echo number_format($descuento,2); ?></div></td> 
	<td width="124"><div align="right"><?php echo number_format($impven,2); ?></div></td> 
	<td width="124"><div align="right"><?php echo number_format($total,2); ?></div></td>                    
 </tr> 
</table>
</body>
</html>